#ifndef GLACTIONVISITOR_H
#define GLACTIONVISITOR_H

#include "SceneGraphVisitor.h"


namespace nsSceneGraph {

class GlActionVisitor : public SceneGraphVisitor
{
	private:
		inline void action(GraphNode *node);

	public:
		virtual ~GlActionVisitor(void);

		virtual void visit(Group *group);
		virtual void visit(Material *material);
		virtual void visit(Transform *transform);
		virtual void visit(VertexArray *array);
};


}

#endif

